glibmm 2.30.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types

# Glib::Variant< T > Class Template Reference
Variant Data Types

Template class used for the specialization of the Variant<> classes. More...

`#include <glibmm/variant.h>`

Inheritance diagram for Glib::Variant< T >:
[legend]

List of all members.

## Public Types
typedef T | CppType

## Detailed Description

### template<class T>
class Glib::Variant< T >

Template class used for the specialization of the Variant<> classes.

Since glibmm 2.28:

## Member Typedef Documentation

template <class T >

typedef T Glib::Variant< T >::CppType